org.h2.command.dml

## Interface DataChangeStatement

All Known Implementing Classes:
  Delete, Insert, Merge, MergeUsing, Update

    public interface DataChangeStatement

Data change statement.

### Method Summary

Methods
`java.lang.String` `getSQL()` Get the SQL statement.
`java.lang.String` `getStatementName()` Return the name of this statement.
`Table` `getTable()` Return the target table.
`void` `prepare()` Prepare this statement.
`void` `setDeltaChangeCollector(ResultTarget deltaChangeCollector, DataChangeDeltaTable.ResultOption deltaChangeCollectionMode)` Set the delta change collector and collection mode.
`int` `update()` Execute the statement.

### Method Detail

#### getStatementName

    java.lang.String getStatementName()

Return the name of this statement.

Returns:
  the short name of this statement.

#### getTable

    Table getTable()

Return the target table.

Returns:
  the target table

#### getSQL

    java.lang.String getSQL()

Get the SQL statement.

Returns:
  the SQL statement

#### setDeltaChangeCollector

    void setDeltaChangeCollector(ResultTarget deltaChangeCollector,
                               DataChangeDeltaTable.ResultOption deltaChangeCollectionMode)

Set the delta change collector and collection mode.

Parameters:
  `deltaChangeCollector` - target result
  `deltaChangeCollectionMode` - collection mode

#### prepare

    void prepare()

Prepare this statement.

#### update

    int update()

Execute the statement.

Returns:
  the update count